//+------------------------------------------------------------------+
//|                                                  +JoGET_RSI+.mq4 |
//|                                                          masemus |
//|                                       Gresik_JawaTimur_Indonesia |
//+------------------------------------------------------------------+
#property copyright "masemus"
#property link      "Gresik_JawaTimur_Indonesia"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_level1 30
#property indicator_level2 70
#property indicator_levelcolor Gray
#property indicator_buffers 8
#property indicator_color1 White
#property indicator_color2 Red
#property indicator_color3 Magenta
#property indicator_color4 Aqua
#property indicator_color5 LimeGreen
#property indicator_color6 Gold
#property indicator_color7 Silver
#property indicator_color8 RosyBrown

//****************************************
extern bool EUR = false; 
extern bool GBP = true; 
extern bool CHF = false; 
extern bool JPY = true; 
extern bool AUD = false; 
extern bool CAD = false; 
//****************************************
extern int bars_limit = 100;
extern color USD_color = White;
extern color EUR_color = Red;
extern color GBP_color = Magenta;
extern color CHF_color = Aqua;
extern color JPY_color = LimeGreen;
extern color AUD_color = Gold;
extern color CAD_color = Silver;
extern color Pairs_color = RosyBrown;

extern int MyRSI = 23;
extern int Price_Type = 0;
extern int MyRSI_OB = 70;
extern int MyRSI_MID = 50;
extern int MyRSI_OS = 30;
//****************************************

double Idx1[],Idx2[],Idx3[],Idx4[],Idx5[],Idx6[],Idx7[],Idx8[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  IndicatorShortName("+JoGET_RSI+");
//----
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Idx1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Idx2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,Idx3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,Idx4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,Idx5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,Idx6);
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,Idx7);
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,Idx8);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(WindowFind("+JoGET_RSI+"),OBJ_LABEL);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {  
   int counted_bars=IndicatorCounted();
//----
   for (int i = 0; i < bars_limit; i++){

      double EU = iRSI("EURUSD",0,MyRSI,Price_Type,i); 
      double GU = iRSI("GBPUSD",0,MyRSI,Price_Type,i); 
      double AU = iRSI("AUDUSD",0,MyRSI,Price_Type,i); 
      double UCF = iRSI("USDCHF",0,MyRSI,Price_Type,i); 
      double UCD = iRSI("USDCAD",0,MyRSI,Price_Type,i); 
      double UJ = iRSI("USDJPY",0,MyRSI,Price_Type,i);
      double EJ = iRSI("EURJPY",0,MyRSI,Price_Type,i); 
      double GJ = iRSI("GBPJPY",0,MyRSI,Price_Type,i); 
      double AJ = iRSI("AUDJPY",0,MyRSI,Price_Type,i); 
      double CFJ = iRSI("CHFJPY",0,MyRSI,Price_Type,i); 
      double CDJ = iRSI("CADJPY",0,MyRSI,Price_Type,i); 
      double ECF = iRSI("EURCHF",0,MyRSI,Price_Type,i);
      double GCF = iRSI("GBPCHF",0,MyRSI,Price_Type,i); 
      double ACF = iRSI("AUDCHF",0,MyRSI,Price_Type,i); 
      double CDCF = iRSI("CADCHF",0,MyRSI,Price_Type,i); 
      double ECD = iRSI("EURCAD",0,MyRSI,Price_Type,i); 
      double GCD = iRSI("GBPCAD",0,MyRSI,Price_Type,i); 
      double ACD = iRSI("AUDCAD",0,MyRSI,Price_Type,i);
      double EG = iRSI("EURGBP",0,MyRSI,Price_Type,i); 
      double EA = iRSI("EURAUD",0,MyRSI,Price_Type,i); 
      double GA = iRSI("GBPAUD",0,MyRSI,Price_Type,i); 

      double iPairs = iRSI(Symbol(),0,MyRSI,Price_Type,i); 

      double iUSD = (EU+GU+UCF+AU+UCD+UJ)/6; 
      double iEUR = (EU+EG+ECF+EA+ECD+EJ)/6; 
      double iGBP = (GU+EG+GCF+GA+GCD+GJ)/6; 
      double iAUD = (EA+GA+ACF+AU+ACD+AJ)/6; 
      double iCAD = (ECD+GCD+CDCF+ACD+UCD+CDJ)/6; 
      double iCHF = (ECF+GCF+UCF+ACF+CDCF+CFJ)/6; 
      double iJPY = (EJ+GJ+CFJ+AJ+CDJ+UJ)/6; 

      Idx1[i] = iUSD;
      if(EUR){
      Idx2[i] = iEUR;
      }
      if(GBP){
      Idx3[i] = iGBP;
      }
      if(CHF){
      Idx4[i] = iCHF;
      }
      if(JPY){
      Idx5[i] = iJPY;
      }
      if(AUD){
      Idx6[i] = iAUD;
      }
      if(CAD){
      Idx7[i] = iCAD;
      }
      Idx8[i] = iPairs;

  //*****************************************************************************************************
      double cEU=iRSI("EURUSD",0,MyRSI,Price_Type,0); 
      double cGU=iRSI("GBPUSD",0,MyRSI,Price_Type,0); 
      double cAU=iRSI("AUDUSD",0,MyRSI,Price_Type,0); 
      double cUCF=iRSI("USDCHF",0,MyRSI,Price_Type,0); 
      double cUCD=iRSI("USDCAD",0,MyRSI,Price_Type,0); 
      double cUJ=iRSI("USDJPY",0,MyRSI,Price_Type,0);
      double cEJ=iRSI("EURJPY",0,MyRSI,Price_Type,0); 
      double cGJ=iRSI("GBPJPY",0,MyRSI,Price_Type,0); 
      double cAJ=iRSI("AUDJPY",0,MyRSI,Price_Type,0); 
      double cCFJ=iRSI("CHFJPY",0,MyRSI,Price_Type,0); 
      double cCDJ=iRSI("CADJPY",0,MyRSI,Price_Type,0); 
      double cECF=iRSI("EURCHF",0,MyRSI,Price_Type,0);
      double cGCF=iRSI("GBPCHF",0,MyRSI,Price_Type,0); 
      double cACF=iRSI("AUDCHF",0,MyRSI,Price_Type,0); 
      double cCDCF=iRSI("CADCHF",0,MyRSI,Price_Type,0); 
      double cECD=iRSI("EURCAD",0,MyRSI,Price_Type,0); 
      double cGCD=iRSI("GBPCAD",0,MyRSI,Price_Type,0); 
      double cACD=iRSI("AUDCAD",0,MyRSI,Price_Type,0);
      double cEG=iRSI("EURGBP",0,MyRSI,Price_Type,0); 
      double cEA=iRSI("EURAUD",0,MyRSI,Price_Type,0); 
      double cGA=iRSI("GBPAUD",0,MyRSI,Price_Type,0); 

      double cPairs = iRSI(Symbol(),0,MyRSI,Price_Type,0); 

      double cUSD = (cEU+cGU+cUCF+cAU+cUCD+cUJ)/6; 
      double cEUR = (cEU+cEG+cECF+cEA+cECD+cEJ)/6; 
      double cGBP = (cGU+cEG+cGCF+cGA+cGCD+cGJ)/6; 
      double cAUD = (cEA+cGA+cACF+cAU+cACD+cAJ)/6; 
      double cCAD = (cECD+cGCD+cCDCF+cACD+cUCD+cCDJ)/6; 
      double cCHF = (cECF+cGCF+cUCF+cACF+cCDCF+cCFJ)/6; 
      double cJPY = (cEJ+cGJ+cCFJ+cAJ+cCDJ+cUJ)/6; 

      double pEU=iRSI("EURUSD",0,MyRSI,Price_Type,1); 
      double pGU=iRSI("GBPUSD",0,MyRSI,Price_Type,1); 
      double pAU=iRSI("AUDUSD",0,MyRSI,Price_Type,1); 
      double pUCF=iRSI("USDCHF",0,MyRSI,Price_Type,1); 
      double pUCD=iRSI("USDCAD",0,MyRSI,Price_Type,1); 
      double pUJ=iRSI("USDJPY",0,MyRSI,Price_Type,1);
      double pEJ=iRSI("EURJPY",0,MyRSI,Price_Type,1); 
      double pGJ=iRSI("GBPJPY",0,MyRSI,Price_Type,1); 
      double pAJ=iRSI("AUDJPY",0,MyRSI,Price_Type,1); 
      double pCFJ=iRSI("CHFJPY",0,MyRSI,Price_Type,1); 
      double pCDJ=iRSI("CADJPY",0,MyRSI,Price_Type,1); 
      double pECF=iRSI("EURCHF",0,MyRSI,Price_Type,1);
      double pGCF=iRSI("GBPCHF",0,MyRSI,Price_Type,1); 
      double pACF=iRSI("AUDCHF",0,MyRSI,Price_Type,1); 
      double pCDCF=iRSI("CADCHF",0,MyRSI,Price_Type,1); 
      double pECD=iRSI("EURCAD",0,MyRSI,Price_Type,1); 
      double pGCD=iRSI("GBPCAD",0,MyRSI,Price_Type,1); 
      double pACD=iRSI("AUDCAD",0,MyRSI,Price_Type,1);
      double pEG=iRSI("EURGBP",0,MyRSI,Price_Type,1); 
      double pEA=iRSI("EURAUD",0,MyRSI,Price_Type,1); 
      double pGA=iRSI("GBPAUD",0,MyRSI,Price_Type,1); 

      double pPairs = iRSI(Symbol(),0,MyRSI,Price_Type,1); 

      double pUSD = (pEU+pGU+pUCF+pAU+pUCD+pUJ)/6; 
      double pEUR = (pEU+pEG+pECF+pEA+pECD+pEJ)/6; 
      double pGBP = (pGU+pEG+pGCF+pGA+pGCD+pGJ)/6; 
      double pAUD = (pEA+pGA+pACF+pAU+pACD+pAJ)/6; 
      double pCAD = (pECD+pGCD+pCDCF+pACD+pUCD+pCDJ)/6; 
      double pCHF = (pECF+pGCF+pUCF+pACF+pCDCF+pCFJ)/6; 
      double pJPY = (pEJ+pGJ+pCFJ+pAJ+pCDJ+pUJ)/6; 

  //*****************************************************************************************************
   string LvEUR = "", LvGBP = "", LvAUD = "", LvCHF = "", 
          LvCAD = "", LvJPY = "", LvUSD = "", LvPairs = "";
   color level_clr1,level_clr2,level_clr3,level_clr4,
         level_clr5,level_clr6,level_clr7,level_clr8;
   
   if ((cEUR > MyRSI_MID) && (cEUR <= MyRSI_OB)) { LvEUR = "n"; level_clr1 = MediumSeaGreen; }
   if ((cEUR < MyRSI_MID) && (cEUR >= MyRSI_OS)) { LvEUR = "n"; level_clr1 = DarkOrange; }
   if (cEUR == MyRSI_MID) { LvEUR = "n"; level_clr1 = Gray; }
   if ((cEUR > MyRSI_OB) && (cEUR <= 100)) { LvEUR = "n"; level_clr1 = Green; }
   if ((cEUR < MyRSI_OS) && (cEUR >= 0)) { LvEUR = "n"; level_clr1 = Red; }

   if ((cGBP > MyRSI_MID) && (cGBP <= MyRSI_OB)) { LvGBP = "n"; level_clr2 = MediumSeaGreen; }
   if ((cGBP < MyRSI_MID) && (cGBP >= MyRSI_OS)) { LvGBP = "n"; level_clr2 = DarkOrange; }
   if (cGBP == MyRSI_MID) { LvGBP = "n"; level_clr2 = Gray; }
   if ((cGBP > MyRSI_OB) && (cGBP <= 100)) { LvGBP = "n"; level_clr2 = Green; }
   if ((cGBP < MyRSI_OS) && (cGBP >= 0)) { LvGBP = "n"; level_clr2 = Red; }

   if ((cAUD > MyRSI_MID) && (cAUD <= MyRSI_OB)) { LvAUD = "n"; level_clr3 = MediumSeaGreen; }
   if ((cAUD < MyRSI_MID) && (cAUD >= MyRSI_OS)) { LvAUD = "n"; level_clr3 = DarkOrange; }
   if (cAUD == MyRSI_MID) { LvAUD = "n"; level_clr3 = Gray; }
   if ((cAUD > MyRSI_OB) && (cAUD <= 100)) { LvAUD = "n"; level_clr3 = Green; }
   if ((cAUD < MyRSI_OS) && (cAUD >= 0)) { LvAUD = "n"; level_clr3 = Red; }

   if ((cCHF > MyRSI_MID) && (cCHF <= MyRSI_OB)) { LvCHF = "n"; level_clr4 = MediumSeaGreen; }
   if ((cCHF < MyRSI_MID) && (cCHF >= MyRSI_OS)) { LvCHF = "n"; level_clr4 = DarkOrange; }
   if (cCHF == MyRSI_MID) { LvCHF = "n"; level_clr4 = Gray; }
   if ((cCHF > MyRSI_OB) && (cCHF <= 100)) { LvCHF = "n"; level_clr4 = Green; }
   if ((cCHF < MyRSI_OS) && (cCHF >= 0)) { LvCHF = "n"; level_clr4 = Red; }

   if ((cCAD > MyRSI_MID) && (cCAD <= MyRSI_OB)) { LvCAD = "n"; level_clr5 = MediumSeaGreen; }
   if ((cCAD < MyRSI_MID) && (cCAD >= MyRSI_OS)) { LvCAD = "n"; level_clr5 = DarkOrange; }
   if (cCAD == MyRSI_MID) { LvCAD = "n"; level_clr5 = Gray; }
   if ((cCAD > MyRSI_OB) && (cCAD <= 100)) { LvCAD = "n"; level_clr5 = Green; }
   if ((cCAD < MyRSI_OS) && (cCAD >= 0)) { LvCAD = "n"; level_clr5 = Red; }

   if ((cJPY > MyRSI_MID) && (cJPY <= MyRSI_OB)) { LvJPY = "n"; level_clr6 = MediumSeaGreen; }
   if ((cJPY < MyRSI_MID) && (cJPY >= MyRSI_OS)) { LvJPY = "n"; level_clr6 = DarkOrange; }
   if (cJPY == MyRSI_MID) { LvJPY = "n"; level_clr6 = Gray; }
   if ((cJPY > MyRSI_OB) && (cJPY <= 100)) { LvJPY = "n"; level_clr6 = Green; }
   if ((cJPY < MyRSI_OS) && (cJPY >= 0)) { LvJPY = "n"; level_clr6 = Red; }

   if ((cUSD > MyRSI_MID) && (cUSD <= MyRSI_OB)) { LvUSD = "n"; level_clr7 = MediumSeaGreen; }
   if ((cUSD < MyRSI_MID) && (cUSD >= MyRSI_OS)) { LvUSD = "n"; level_clr7 = DarkOrange; }
   if (cUSD == MyRSI_MID) { LvUSD = "n"; level_clr7 = Gray; }
   if ((cUSD > MyRSI_OB) && (cUSD <= 100)) { LvUSD = "n"; level_clr7 = Green; }
   if ((cUSD < MyRSI_OS) && (cUSD >= 0)) { LvUSD = "n"; level_clr7 = Red; }

   if ((cPairs > MyRSI_MID) && (cPairs <= MyRSI_OB)) { LvPairs = "n"; level_clr8 = MediumSeaGreen; }
   if ((cPairs < MyRSI_MID) && (cPairs >= MyRSI_OS)) { LvPairs = "n"; level_clr8 = DarkOrange; }
   if (cPairs == MyRSI_MID) { LvPairs = "n"; level_clr8 = Gray; }
   if ((cPairs > MyRSI_OB) && (cPairs <= 100)) { LvPairs = "n"; level_clr8 = Green; }
   if ((cPairs < MyRSI_OS) && (cPairs >= 0)) { LvPairs = "n"; level_clr8 = Red; }

  //*****************************************************************************************************
   string udEUR = "", udGBP = "", udAUD = "", udCHF = "", 
          udCAD = "", udJPY = "", udUSD = "", udPairs = "";
   color updn_clr1, updn_clr2, updn_clr3, updn_clr4, 
         updn_clr5, updn_clr6, updn_clr7, updn_clr8;
   
   if (cEUR > pEUR) { udEUR = "5"; updn_clr1 = Lime; }
   if (cEUR < pEUR) { udEUR = "6"; updn_clr1 = Yellow; }
   if (cEUR == pEUR) { udEUR = "="; updn_clr1 = Gray; }

   if (cGBP > pGBP) { udGBP = "5"; updn_clr2 = Lime; }
   if (cGBP < pGBP) { udGBP = "6"; updn_clr2 = Yellow; }
   if (cGBP == pGBP) { udGBP = "="; updn_clr2 = Gray; }

   if (cAUD > pAUD) { udAUD = "5"; updn_clr3 = Lime; }
   if (cAUD < pAUD) { udAUD = "6"; updn_clr3 = Yellow; }
   if (cAUD == pAUD) { udAUD = "="; updn_clr3 = Gray; }

   if (cCHF > pCHF) { udCHF = "5"; updn_clr4 = Lime; }
   if (cCHF < pCHF) { udCHF = "6"; updn_clr4 = Yellow; }
   if (cCHF == pCHF) { udCHF = "="; updn_clr4 = Gray; }

   if (cCAD > pCAD) { udCAD = "5"; updn_clr5 = Lime; }
   if (cCAD < pCAD) { udCAD = "6"; updn_clr5 = Yellow; }
   if (cCAD == pCAD) { udCAD = "="; updn_clr5 = Gray; }

   if (cJPY > pJPY) { udJPY = "5"; updn_clr6 = Lime; }
   if (cJPY < pJPY) { udJPY = "6"; updn_clr6 = Yellow; }
   if (cJPY == pJPY) { udJPY = "="; updn_clr6 = Gray; }

   if (cUSD > pUSD) { udUSD = "5"; updn_clr7 = Lime; }
   if (cUSD < pUSD) { udUSD = "6"; updn_clr7 = Yellow; }
   if (cUSD == pUSD) { udUSD = "="; updn_clr7 = Gray; }

   if (cPairs > pPairs) { udPairs = "5"; updn_clr8 = Lime; }
   if (cPairs < pPairs) { udPairs = "6"; updn_clr8 = Yellow; }
   if (cPairs == pPairs) { udPairs = "="; updn_clr8 = Gray; }

  //**********************************************************************************************

   string s13EUR = "", s13GBP = "", s13AUD = "", s13CHF = "", 
          s13CAD = "", s13JPY = "", s13USD = "", s13Pairs = "";
   color trend_clr1, trend_clr2, trend_clr3, trend_clr4, 
         trend_clr5, trend_clr6, trend_clr7, trend_clr8;
   
   if (cEUR < cUSD) { s13EUR = "g"; trend_clr1 = DarkOrange; }
   if (cEUR > cUSD) { s13EUR = "g"; trend_clr1 = MediumSeaGreen; }
   if (cEUR == cUSD) { s13EUR = "g"; trend_clr1 = White; }

   if (cGBP < cUSD) { s13GBP = "g"; trend_clr2 = DarkOrange; }
   if (cGBP > cUSD) { s13GBP = "g"; trend_clr2 = MediumSeaGreen; }
   if (cGBP == cUSD) { s13GBP = "g"; trend_clr2 = White; }

   if (cAUD < cUSD) { s13AUD = "g"; trend_clr3 = DarkOrange; }
   if (cAUD > cUSD) { s13AUD = "g"; trend_clr3 = MediumSeaGreen; }
   if (cAUD == cUSD) { s13AUD = "g"; trend_clr3 = White; }

   if (cCHF < cUSD) { s13CHF = "g"; trend_clr4 = DarkOrange; }
   if (cCHF > cUSD) { s13CHF = "g"; trend_clr4 = MediumSeaGreen; }
   if (cCHF == cUSD) { s13CHF = "g"; trend_clr4 = White; }

   if (cCAD < cUSD) { s13CAD = "g"; trend_clr5 = DarkOrange; }
   if (cCAD > cUSD) { s13CAD = "g"; trend_clr5 = MediumSeaGreen; }
   if (cCAD == cUSD) { s13CAD = "g"; trend_clr5 = White; }

   if (cJPY < cUSD) { s13JPY = "g"; trend_clr6 = DarkOrange; }
   if (cJPY > cUSD) { s13JPY = "g"; trend_clr6 = MediumSeaGreen; }
   if (cJPY == cUSD) { s13JPY = "g"; trend_clr6 = White; }

   if (cUSD < cUSD) { s13USD = "g"; trend_clr7 = White; }
   if (cUSD > cUSD) { s13USD = "g"; trend_clr7 = White; }
   if (cUSD == cUSD) { s13USD = "g"; trend_clr7 = White; }

   if (cPairs < cUSD) { s13Pairs = "g"; trend_clr8 = DarkOrange; }
   if (cPairs > cUSD) { s13Pairs = "g"; trend_clr8 = MediumSeaGreen; }
   if (cPairs == cUSD) { s13Pairs = "g"; trend_clr8 = White; }

  //**********************************************************************************************
   string cPrice="", Teks="", Teks_Menit, Teks_Detik;
   double d_A, d_B;

   //Time for Next Candle
   d_B = (Time[4]-Time[5])-MathMod(CurTime(),Time[4]-Time[5]);
   d_A = d_B/60;
   d_B = (d_A-MathFloor(d_A))*60;
   d_A = MathFloor(d_A);
   Teks_Menit = DoubleToStr(d_A,0);
   Teks_Detik = DoubleToStr(d_B,0);
   Teks=Teks_Menit+":"+Teks_Detik;

   //Price
   double Price1 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0);   
   cPrice=DoubleToStr(Price1,Digits);
   
   string HI="",LO="",SPREAD="",PIPS="",HILO="",Pips="",D1OPEN="",HiLo_Yest="",HLY="";
   color clr_pip,clr_HLY;
   double Open_Today = iOpen(NULL,1440,0);
   double CLOSE = iClose(NULL,1440,0);
   double SPRD = (Ask - Bid)/Point;
   double High_Today = iHigh(NULL,1440,0);
   double Low_Today = iLow(NULL,1440,0);
   D1OPEN =  (DoubleToStr(Open_Today,Digits));
   PIPS =  DoubleToStr((CLOSE-Open_Today)/Point,0);
   SPREAD = (DoubleToStr(SPRD,Digits-5));
   HILO = DoubleToStr((High_Today-Low_Today)/Point,0);
   HI =  (DoubleToStr(High_Today,Digits));
   LO =  (DoubleToStr(Low_Today,Digits));
   double Open_Yest = iOpen(NULL,1440,1);
   double Close_Yest = iClose(NULL,1440,1);
   HiLo_Yest =  DoubleToStr((iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point,0);

     if (Price1 > Open_Today) {Pips= "-";clr_pip = MediumSeaGreen; }
     if (Price1 < Open_Today) {Pips= "-";clr_pip = DarkOrange; }
     if (Price1 == Open_Today) {Pips= "-";clr_pip = Gray; }
     if (Close_Yest > Open_Yest) {HLY= "-";clr_HLY = MediumSeaGreen; }
     if (Close_Yest < Open_Yest) {HLY= "-";clr_HLY = DarkOrange; }
     if (Close_Yest == Open_Yest) {HLY= "-";clr_HLY = Gray; }

  //**********************************************************************************************

           ObjectCreate("USD2a1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD2a1", OBJPROP_CORNER, 1);
   ObjectSetText("USD2a1", "n", 17, "Webdings",White);
   ObjectSet("USD2a1", OBJPROP_XDISTANCE, 73);
   ObjectSet("USD2a1", OBJPROP_YDISTANCE, 43); 
           ObjectCreate("USD2b1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD2b1", OBJPROP_CORNER, 1);
   ObjectSetText("USD2b1", LvUSD, 14, "Webdings",level_clr7);
   ObjectSet("USD2b1", OBJPROP_XDISTANCE, 75);
   ObjectSet("USD2b1", OBJPROP_YDISTANCE, 45); 
           ObjectCreate("USD3a1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD3a1", OBJPROP_CORNER, 1);
   ObjectSetText("USD3a1", udUSD, 17, "Webdings",updn_clr7);
   ObjectSet("USD3a1", OBJPROP_XDISTANCE, 72);
   ObjectSet("USD3a1", OBJPROP_YDISTANCE, 42); 

           ObjectCreate("USD2ab", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD2ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD2ab", "n", 17, "Webdings",White);
   ObjectSet("USD2ab", OBJPROP_XDISTANCE, 27);
   ObjectSet("USD2ab", OBJPROP_YDISTANCE, 43); 
           ObjectCreate("USD2bb", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD2bb", OBJPROP_CORNER, 1);
   ObjectSetText("USD2bb", LvUSD, 14, "Webdings",level_clr7);
   ObjectSet("USD2bb", OBJPROP_XDISTANCE, 29);
   ObjectSet("USD2bb", OBJPROP_YDISTANCE, 45); 
           ObjectCreate("USD3ab", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD3ab", OBJPROP_CORNER, 1);
   ObjectSetText("USD3ab", udUSD, 17, "Webdings",updn_clr7);
   ObjectSet("USD3ab", OBJPROP_XDISTANCE, 26);
   ObjectSet("USD3ab", OBJPROP_YDISTANCE, 42); 

           ObjectCreate("EUR1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("EUR1", OBJPROP_CORNER, 1);
   ObjectSetText("EUR1", "EUR", 9, "Arial Bold", EUR_color);
   ObjectSet("EUR1", OBJPROP_XDISTANCE, 4);
   ObjectSet("EUR1", OBJPROP_YDISTANCE, 15); 
           ObjectCreate("EUR2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("EUR2", OBJPROP_CORNER, 1);
   ObjectSetText("EUR2", LvEUR, 14, "Webdings",level_clr1);
   ObjectSet("EUR2", OBJPROP_XDISTANCE, 8);
   ObjectSet("EUR2", OBJPROP_YDISTANCE, 28); 
           ObjectCreate("EUR3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("EUR3", OBJPROP_CORNER, 1);
   ObjectSetText("EUR3", udEUR, 17, "Webdings",updn_clr1);
   ObjectSet("EUR3", OBJPROP_XDISTANCE, 5);
   ObjectSet("EUR3", OBJPROP_YDISTANCE, 25); 
           ObjectCreate("EUR4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("EUR4", OBJPROP_CORNER, 1);
   ObjectSetText("EUR4", s13EUR, 5, "Webdings",trend_clr1);
   ObjectSet("EUR4", OBJPROP_XDISTANCE, 31);
   ObjectSet("EUR4", OBJPROP_YDISTANCE, 20); 

           ObjectCreate("GBP1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("GBP1", OBJPROP_CORNER, 1);
   ObjectSetText("GBP1", "GBP", 9, "Arial Bold", GBP_color);
   ObjectSet("GBP1", OBJPROP_XDISTANCE, 48);
   ObjectSet("GBP1", OBJPROP_YDISTANCE, 15); 
           ObjectCreate("GBP2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("GBP2", OBJPROP_CORNER, 1);
   ObjectSetText("GBP2", LvGBP, 14, "Webdings",level_clr2);
   ObjectSet("GBP2", OBJPROP_XDISTANCE, 52);
   ObjectSet("GBP2", OBJPROP_YDISTANCE, 28); 
           ObjectCreate("GBP3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("GBP3", OBJPROP_CORNER, 1);
   ObjectSetText("GBP3", udGBP, 17, "Webdings",updn_clr2);
   ObjectSet("GBP3", OBJPROP_XDISTANCE, 49);
   ObjectSet("GBP3", OBJPROP_YDISTANCE, 25); 
           ObjectCreate("GBP4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("GBP4", OBJPROP_CORNER, 1);
   ObjectSetText("GBP4", s13GBP, 5, "Webdings",trend_clr2);
   ObjectSet("GBP4", OBJPROP_XDISTANCE, 75);
   ObjectSet("GBP4", OBJPROP_YDISTANCE, 20); 

           ObjectCreate("AUD1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("AUD1", OBJPROP_CORNER, 1);
   ObjectSetText("AUD1", "AUD", 9, "Arial Bold", AUD_color);
   ObjectSet("AUD1", OBJPROP_XDISTANCE, 92);
   ObjectSet("AUD1", OBJPROP_YDISTANCE, 15); 
           ObjectCreate("AUD2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("AUD2", OBJPROP_CORNER, 1);
   ObjectSetText("AUD2", LvAUD, 14, "Webdings",level_clr3);
   ObjectSet("AUD2", OBJPROP_XDISTANCE, 96);
   ObjectSet("AUD2", OBJPROP_YDISTANCE, 28); 
           ObjectCreate("AUD3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("AUD3", OBJPROP_CORNER, 1);
   ObjectSetText("AUD3", udAUD, 17, "Webdings",updn_clr3);
   ObjectSet("AUD3", OBJPROP_XDISTANCE, 93);
   ObjectSet("AUD3", OBJPROP_YDISTANCE, 25); 
           ObjectCreate("AUD4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("AUD4", OBJPROP_CORNER, 1);
   ObjectSetText("AUD4", s13AUD, 5, "Webdings",trend_clr3);
   ObjectSet("AUD4", OBJPROP_XDISTANCE, 119);
   ObjectSet("AUD4", OBJPROP_YDISTANCE, 20); 

           ObjectCreate("CAD1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CAD1", OBJPROP_CORNER, 1);
   ObjectSetText("CAD1", "CAD", 9, "Arial Bold", CAD_color);
   ObjectSet("CAD1", OBJPROP_XDISTANCE, 92);
   ObjectSet("CAD1", OBJPROP_YDISTANCE, 82); 
           ObjectCreate("CAD2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CAD2", OBJPROP_CORNER, 1);
   ObjectSetText("CAD2", LvCAD, 14, "Webdings",level_clr5);
   ObjectSet("CAD2", OBJPROP_XDISTANCE, 96);
   ObjectSet("CAD2", OBJPROP_YDISTANCE, 62); 
           ObjectCreate("CAD3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CAD3", OBJPROP_CORNER, 1);
   ObjectSetText("CAD3", udCAD, 17, "Webdings",updn_clr5);
   ObjectSet("CAD3", OBJPROP_XDISTANCE, 93);
   ObjectSet("CAD3", OBJPROP_YDISTANCE, 59); 
           ObjectCreate("CAD4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CAD4", OBJPROP_CORNER, 1);
   ObjectSetText("CAD4", s13CAD, 5, "Webdings",trend_clr5);
   ObjectSet("CAD4", OBJPROP_XDISTANCE, 119);
   ObjectSet("CAD4", OBJPROP_YDISTANCE, 87); 

           ObjectCreate("CHF1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CHF1", OBJPROP_CORNER, 1);
   ObjectSetText("CHF1", "CHF", 9, "Arial Bold", CHF_color);
   ObjectSet("CHF1", OBJPROP_XDISTANCE, 48);
   ObjectSet("CHF1", OBJPROP_YDISTANCE, 82); 
           ObjectCreate("CHF2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CHF2", OBJPROP_CORNER, 1);
   ObjectSetText("CHF2", LvCHF, 14, "Webdings",level_clr4);
   ObjectSet("CHF2", OBJPROP_XDISTANCE, 52);
   ObjectSet("CHF2", OBJPROP_YDISTANCE, 62); 
           ObjectCreate("CHF3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CHF3", OBJPROP_CORNER, 1);
   ObjectSetText("CHF3", udCHF, 17, "Webdings",updn_clr4);
   ObjectSet("CHF3", OBJPROP_XDISTANCE, 49);
   ObjectSet("CHF3", OBJPROP_YDISTANCE, 59); 
           ObjectCreate("CHF4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("CHF4", OBJPROP_CORNER, 1);
   ObjectSetText("CHF4", s13CHF, 5, "Webdings",trend_clr4);
   ObjectSet("CHF4", OBJPROP_XDISTANCE, 75);
   ObjectSet("CHF4", OBJPROP_YDISTANCE, 87); 

           ObjectCreate("JPY1", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("JPY1", OBJPROP_CORNER, 1);
   ObjectSetText("JPY1", "JPY", 9, "Arial Bold", JPY_color);
   ObjectSet("JPY1", OBJPROP_XDISTANCE, 4);
   ObjectSet("JPY1", OBJPROP_YDISTANCE, 82); 
           ObjectCreate("JPY2", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("JPY2", OBJPROP_CORNER, 1);
   ObjectSetText("JPY2", LvJPY, 14, "Webdings",level_clr6);
   ObjectSet("JPY2", OBJPROP_XDISTANCE, 8);
   ObjectSet("JPY2", OBJPROP_YDISTANCE, 62); 
           ObjectCreate("JPY3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("JPY3", OBJPROP_CORNER, 1);
   ObjectSetText("JPY3", udJPY, 17, "Webdings",updn_clr6);
   ObjectSet("JPY3", OBJPROP_XDISTANCE, 5);
   ObjectSet("JPY3", OBJPROP_YDISTANCE, 59); 
           ObjectCreate("JPY4", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("JPY4", OBJPROP_CORNER, 1);
   ObjectSetText("JPY4", s13JPY, 5, "Webdings",trend_clr6);
   ObjectSet("JPY4", OBJPROP_XDISTANCE, 31);
   ObjectSet("JPY4", OBJPROP_YDISTANCE, 87); 

           ObjectCreate("USD1a", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("USD1a", OBJPROP_CORNER, 1);
   ObjectSetText("USD1a", "USD", 9, "Arial Bold", USD_color);
   ObjectSet("USD1a", OBJPROP_XDISTANCE, 48);
   ObjectSet("USD1a", OBJPROP_YDISTANCE, 49); 

           ObjectCreate("Pairs1a", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("Pairs1a", OBJPROP_CORNER, 1);
   ObjectSetText("Pairs1a", Symbol(), 12, "Arial Bold", Pairs_color);
   ObjectSet("Pairs1a", OBJPROP_XDISTANCE, 48);
   ObjectSet("Pairs1a", OBJPROP_YDISTANCE, 107); 
           ObjectCreate("Pairs2a", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("Pairs2a", OBJPROP_CORNER, 1);
   ObjectSetText("Pairs2a", LvPairs, 14, "Webdings",level_clr8);
   ObjectSet("Pairs2a", OBJPROP_XDISTANCE, 8);
   ObjectSet("Pairs2a", OBJPROP_YDISTANCE, 105); 
           ObjectCreate("Pairs3a", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("Pairs3a", OBJPROP_CORNER, 1);
   ObjectSetText("Pairs3a", udPairs, 17, "Webdings",updn_clr8);
   ObjectSet("Pairs3a", OBJPROP_XDISTANCE, 5);
   ObjectSet("Pairs3a", OBJPROP_YDISTANCE, 102); 
           ObjectCreate("Pairs4a", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("Pairs4a", OBJPROP_CORNER, 1);
   ObjectSetText("Pairs4a", s13Pairs, 5, "Webdings",trend_clr8);
   ObjectSet("Pairs4a", OBJPROP_XDISTANCE, 31);
   ObjectSet("Pairs4a", OBJPROP_YDISTANCE, 114); 

           ObjectCreate("Pric3", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSetText("Pric3",""+cPrice+"", 23, "Arial Narrow",  trend_clr8);
   ObjectSet("Pric3", OBJPROP_CORNER, 1);
   ObjectSet("Pric3", OBJPROP_XDISTANCE, 9);
   ObjectSet("Pric3", OBJPROP_YDISTANCE, 127);  

           ObjectCreate("HiLoYest", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSetText("HiLoYest",""+HiLo_Yest+"", 9, "Arial Bold",  clr_HLY);
   ObjectSet("HiLoYest", OBJPROP_CORNER, 1);
   ObjectSet("HiLoYest", OBJPROP_XDISTANCE, 92);
   ObjectSet("HiLoYest", OBJPROP_YDISTANCE, 142);  

           ObjectCreate("PTO", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSetText("PTO",""+PIPS+"", 9, "Arial Bold",  clr_pip);
   ObjectSet("PTO", OBJPROP_CORNER, 1);
   ObjectSet("PTO", OBJPROP_XDISTANCE, 40);
   ObjectSet("PTO", OBJPROP_YDISTANCE, 157);  

           ObjectCreate("HiLow", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSetText("HiLow",""+HILO+"", 9, "Arial Bold",  USD_color);
   ObjectSet("HiLow", OBJPROP_CORNER, 1);
   ObjectSet("HiLow", OBJPROP_XDISTANCE, 9);
   ObjectSet("HiLow", OBJPROP_YDISTANCE, 157);  

           ObjectCreate("NxCandle", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSet("NxCandle", OBJPROP_CORNER, 1);
   ObjectSetText("NxCandle", Teks_Menit+":"+Teks_Detik, 9, "Arial Bold", GBP_color);
   ObjectSet("NxCandle", OBJPROP_XDISTANCE, 70);
   ObjectSet("NxCandle", OBJPROP_YDISTANCE, 157); 

           ObjectCreate("Spr3ad", OBJ_LABEL, WindowFind("+JoGET_RSI+"), 0, 0);
   ObjectSetText("Spr3ad",""+SPREAD+"", 9, "Arial Bold",  CAD_color);
   ObjectSet("Spr3ad", OBJPROP_CORNER, 1);
   ObjectSet("Spr3ad", OBJPROP_XDISTANCE, 92);
   ObjectSet("Spr3ad", OBJPROP_YDISTANCE, 127);  

   }

  //*****************************************************************************************************
   
//----
   return(0);
  }
//+------------------------------------------------------------------+